# Drop Columns (DP\_6)

With this, you can easily drop one or multiple columns that are not relevant or redundant to your analysis. The process of removing columns is straightforward and user-friendly, simply select the columns you want to drop and the tool will do the rest.&#x20;

The remaining columns will be updated in real-time to reflect the changes made, and the modified dataset can be saved for future use.

## Sample Request

This request drops columns on index 0, 1, 3, and 8 in the X variable.

```json
{
    "project_id": 1,
    "parent_id": 5,
    "block_id": 6,
    "function_code": "DP_6",
    "args": {
        "x_columns": [0, 1, 3, 8],
        "y_columns": [],
        "d_columns": []
    }
}
```

## Drop Specific Columns

<mark style="color:green;">`POST`</mark> `https://autogon.ai/api/v1/engine/start`

Drop specified multiple columns

#### Request Body

| Name                                             | Type   | Description           |
| ------------------------------------------------ | ------ | --------------------- |
| project\_id<mark style="color:red;">\*</mark>    | int    | current project ID    |
| parent\_id<mark style="color:red;">\*</mark>     | int    | parent block ID       |
| block\_id<mark style="color:red;">\*</mark>      | int    | current block ID      |
| function\_code<mark style="color:red;">\*</mark> | String | block's function code |
| args                                             | object | block arguments       |

{% tabs %}
{% tab title="200: OK Drop Column Successful" %}

```json
{
    "status": true,
    "message": {
        "id": 00000,
        "project": 0,
        "block_id": 0,
        "parent_id": 0,
        "dataset_url": "https://storage.autogon.ai/dataset.csv",
        "function_action": 00
    }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Python" %}

```
// Some code
```

{% endtab %}

{% tab title="Node" %}

```
// Some code
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autogon.ai/autogon-engine-studio/data-processing/drop-columns-dp_6.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
